%define         docfiles              COPYING README

Name:           wmbutton
Version:        0.7.0
Release:        %mkrel 5
Summary:        A very configurable dockapp for launching any program
License:        GPLv2
Group:          System/X11

URL:            http://greek0.net/~greek0/wmbutton.html
#URL2           http://repo.or.cz/w/dockapps.git
Source0:        http://greek0.net/~greek0/wmbutton/%{name}-%{version}.tar.gz


#Update default config file with mageia applications
Patch0:         %{name}-0.7.0-configfile.patch

BuildRequires:  ctags
BuildRequires:  glibc-devel
BuildRequires:  libxpm-devel
BuildRequires:  libx11-devel 
BuildRequires:  libxext-devel

#To make the default configuration working
Suggests:       firefox
Suggests:       xterm
Suggests:       pidgin
Suggests:       libreoffice-writer
Suggests:       gnuplot
Suggests:       emacs
Suggests:       gimp
Suggests:       gv
Suggests:       audacious


%description
Wmbutton is a very efficient graphical launcher dockapp for
WindowMaker, or any window manager and desktop environment that
handles dock applications. It displays nine small icons which can be
clicked on with any of the three mouse buttons to start your favorite
programs. All possible actions are specified in an easy-to-understand
configuration file ".wmbutton", assumed to reside in your home
directory, and allowing for 27 different applications to be started
(one per mouse button and icon). The default configuration is
specified in %{_sysconfdir}/%{name}.conf.



%prep
%setup -q
%patch0 -p1 -b .old


%build
%make


%install

install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -D -m 644 sample.wmbutton %{buildroot}%{_datadir}/%{name}/sample.wmbutton
install -D -m 644 sample.wmbutton %{buildroot}%{_sysconfdir}/%{name}.conf
install -D -m 644 icons/*.xpm %{buildroot}%{_datadir}/%{name}

%clean
rm -rf %{buildroot}


%files
%doc %{docfiles}
%{_bindir}/wmbutton
%dir %{_datadir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_datadir}/%{name}/sample.wmbutton
%{_datadir}/%{name}/*.xpm
%{_mandir}/man1/%{name}.1.*




%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.7.0-5.mga4
+ Revision: 520271
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.7.0-4.mga3
+ Revision: 385721
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.7.0-3.mga3
+ Revision: 314571
- Fix empty line in description

* Mon Nov 05 2012 eatdirt <eatdirt> 0.7.0-2.mga3
+ Revision: 314551
- Fix typos in description

* Fri Aug 31 2012 eatdirt <eatdirt> 0.7.0-1.mga3
+ Revision: 286723
- Upgrade to version 0.7.0

* Wed Aug 22 2012 eatdirt <eatdirt> 0.6.1-2.mga3
+ Revision: 283133
- Added patch to fix obsolete config file, added a few Suggests to make it work

* Fri Sep 30 2011 eatdirt <eatdirt> 0.6.1-1.mga2
+ Revision: 150494
- imported package wmbutton


* Fri Sep 30 2011 Chris Ringeval <dirteat@gmail.com> 0.6.1-1.mga2
- import wmbutton, patch to fix old X11 include path
